#!/usr/bin/env node
"use strict";
/**
 * Copyright 2022 Synchronous Technologies Pte Ltd
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const commander_1 = require("commander");
const init_1 = __importDefault(require("./commands/init"));
const up_1 = __importDefault(require("./commands/up"));
const deploy_1 = __importDefault(require("./commands/deploy"));
const list_1 = __importDefault(require("./commands/list"));
const program = new commander_1.Command();
program.name("zefhub").description("ZefHub CLI").version("0.0.1");
program.command("init").description("initialize a new project").action(init_1.default);
program.command("deploy").description("deploy project").action(deploy_1.default);
program.command("up").description("deploy the project to zefhub").action(up_1.default);
program.command("list").description("list all service revisions").action(list_1.default);
program.parse();
